<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Option.Builder (Apache Commons CLI 1.6.0 API)</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="declaration: package: org.apache.commons.cli, class: Option, class: Builder">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Option.Builder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Summary:</p>
<ul>
<li>Nested</li>
<li>Field</li>
<li>Constr</li>
<li><a href="#method-summary">Method</a></li>
</ul>
</li>
<li>
<p>Detail:</p>
<ul>
<li>Field</li>
<li>Constr</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">org.apache.commons.cli</a></div>
<h1 title="Class Option.Builder" class="title">Class Option.Builder</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">org.apache.commons.cli.Option.Builder</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>Enclosing class:</dt>
<dd><code><a href="Option.html" title="class in org.apache.commons.cli">Option</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public static final class </span><span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.html#line-57">Option.Builder</a></span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">A nested builder class to create <code>Option</code> instances using descriptive methods.
 <p>
 Example usage:
 </p>

 <pre>
 Option option = Option.builder("a").required(true).longOpt("arg-name").build();
 </pre></div>
<dl class="notes">
<dt>Since:</dt>
<dd>1.3</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#argName(java.lang.String)" class="member-name-link">argName</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;argName)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the display name for the argument value.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.html" title="class in org.apache.commons.cli">Option</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#build()" class="member-name-link">build</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Constructs an Option with the values declared by this <a href="Option.Builder.html" title="class in org.apache.commons.cli"><code>Option.Builder</code></a>.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#desc(java.lang.String)" class="member-name-link">desc</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;description)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the description for this option.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#hasArg()" class="member-name-link">hasArg</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Indicates that the Option will require an argument.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#hasArg(boolean)" class="member-name-link">hasArg</a><wbr>(boolean&nbsp;hasArg)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Indicates if the Option has an argument or not.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#hasArgs()" class="member-name-link">hasArgs</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Indicates that the Option can have unlimited argument values.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#longOpt(java.lang.String)" class="member-name-link">longOpt</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;longOpt)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the long name of the Option.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#numberOfArgs(int)" class="member-name-link">numberOfArgs</a><wbr>(int&nbsp;argCount)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the number of argument values the Option can take.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#option(java.lang.String)" class="member-name-link">option</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;option)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the name of the Option.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#optionalArg(boolean)" class="member-name-link">optionalArg</a><wbr>(boolean&nbsp;optionalArg)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets whether the Option can have an optional argument.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#required()" class="member-name-link">required</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Marks this Option as required.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#required(boolean)" class="member-name-link">required</a><wbr>(boolean&nbsp;required)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets whether the Option is mandatory.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#type(java.lang.Class)" class="member-name-link">type</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;?&gt;&nbsp;type)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sets the type of the Option.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#valueSeparator()" class="member-name-link">valueSeparator</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">The Option will use '=' as a means to separate argument value.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#valueSeparator(char)" class="member-name-link">valueSeparator</a><wbr>(char&nbsp;valueSeparator)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">The Option will use <code>sep</code> as a means to separate argument values.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#clone--" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#equals-java.lang.Object-" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#finalize--" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#getClass--" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#hashCode--" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notify--" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notifyAll--" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#toString--" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="argName(java.lang.String)">
<h3>argName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-102">argName</a></span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;argName)</span></div>
<div class="block">Sets the display name for the argument value.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>argName</code> - the display name for the argument value.</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="build()">
<h3>build</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.html" title="class in org.apache.commons.cli">Option</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-113">build</a></span>()</div>
<div class="block">Constructs an Option with the values declared by this <a href="Option.Builder.html" title="class in org.apache.commons.cli"><code>Option.Builder</code></a>.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the new <a href="Option.html" title="class in org.apache.commons.cli"><code>Option</code></a></dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang" class="external-link">IllegalArgumentException</a></code> - if neither <code>opt</code> or <code>longOpt</code> has been set</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="desc(java.lang.String)">
<h3>desc</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-126">desc</a></span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;description)</span></div>
<div class="block">Sets the description for this option.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>description</code> - the description of the option.</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="hasArg()">
<h3>hasArg</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-136">hasArg</a></span>()</div>
<div class="block">Indicates that the Option will require an argument.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="hasArg(boolean)">
<h3>hasArg</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-146">hasArg</a></span><wbr><span class="parameters">(boolean&nbsp;hasArg)</span></div>
<div class="block">Indicates if the Option has an argument or not.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>hasArg</code> - specifies whether the Option takes an argument or not</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="hasArgs()">
<h3>hasArgs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-157">hasArgs</a></span>()</div>
<div class="block">Indicates that the Option can have unlimited argument values.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="longOpt(java.lang.String)">
<h3>longOpt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-168">longOpt</a></span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;longOpt)</span></div>
<div class="block">Sets the long name of the Option.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>longOpt</code> - the long name of the Option</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="numberOfArgs(int)">
<h3>numberOfArgs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-179">numberOfArgs</a></span><wbr><span class="parameters">(int&nbsp;argCount)</span></div>
<div class="block">Sets the number of argument values the Option can take.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>argCount</code> - the number of argument values</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="option(java.lang.String)">
<h3>option</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-192">option</a></span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;option)</span>
                      throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang" class="external-link">IllegalArgumentException</a></span></div>
<div class="block">Sets the name of the Option.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>option</code> - the name of the Option</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang" class="external-link">IllegalArgumentException</a></code> - if there are any non valid Option characters in <code>opt</code></dd>
<dt>Since:</dt>
<dd>1.5.0</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="optionalArg(boolean)">
<h3>optionalArg</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-203">optionalArg</a></span><wbr><span class="parameters">(boolean&nbsp;optionalArg)</span></div>
<div class="block">Sets whether the Option can have an optional argument.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>optionalArg</code> - specifies whether the Option can have an optional argument.</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="required()">
<h3>required</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-214">required</a></span>()</div>
<div class="block">Marks this Option as required.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="required(boolean)">
<h3>required</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-224">required</a></span><wbr><span class="parameters">(boolean&nbsp;required)</span></div>
<div class="block">Sets whether the Option is mandatory.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>required</code> - specifies whether the Option is mandatory</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="type(java.lang.Class)">
<h3>type</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-235">type</a></span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;?&gt;&nbsp;type)</span></div>
<div class="block">Sets the type of the Option.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>type</code> - the type of the Option</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="valueSeparator()">
<h3>valueSeparator</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-245">valueSeparator</a></span>()</div>
<div class="block">The Option will use '=' as a means to separate argument value.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="valueSeparator(char)">
<h3>valueSeparator</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Option.Builder.html" title="class in org.apache.commons.cli">Option.Builder</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/Option.Builder.html#line-269">valueSeparator</a></span><wbr><span class="parameters">(char&nbsp;valueSeparator)</span></div>
<div class="block">The Option will use <code>sep</code> as a means to separate argument values.
 <p>
 <b>Example:</b>
 </p>

 <pre>
 Option opt = Option.builder("D").hasArgs().valueSeparator('=').build();
 Options options = new Options();
 options.addOption(opt);
 String[] args = {"-Dkey=value"};
 CommandLineParser parser = new DefaultParser();
 CommandLine line = parser.parse(options, args);
 String propertyName = line.getOptionValues("D")[0]; // will be "key"
 String propertyValue = line.getOptionValues("D")[1]; // will be "value"
 </pre></div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>valueSeparator</code> - The value separator.</dd>
<dt>Returns:</dt>
<dd>this builder, to allow method chaining</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<hr>
<p class="legal-copy"><small>Copyright &#169; 2002&#x2013;2023 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
